## org.eclipse.datatools.connectivity.sqm.core.rte.jdbc
Class JDBCColumn

    java.lang.Object
      ENamedElementImpl
          org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
              org.eclipse.datatools.modelbase.sql.schema.impl.TypedElementImpl
                  org.eclipse.datatools.modelbase.sql.tables.impl.ColumnImpl
                      org.eclipse.datatools.connectivity.sqm.core.rte.jdbc.JDBCColumn

All Implemented Interfaces:
  Column, ICatalogObject, SQLObject, TypedElement

public class JDBCColumn
extends ColumnImpl
implements ICatalogObject

See Also:
  Serialized Form

Constructor Summary
`JDBCColumn()`

Method Summary
`Database` `getCatalogDatabase()`
`java.sql.Connection` `getConnection()`
`boolean` `isSystemObject()`
`void` `refresh()`

Methods inherited from class org.eclipse.datatools.modelbase.sql.tables.impl.ColumnImpl

`basicSetGenerateExpression, basicSetIdentitySpecifier, basicSetTable, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eIsSet, eSet, eUnset, getDefaultValue, getGenerateExpression, getIdentitySpecifier, getScopeCheck, getTable, isImplementationDependent, isNullable, isPartOfForeignKey, isPartOfPrimaryKey, isPartOfUniqueConstraint, isScopeChecked, setDefaultValue, setGenerateExpression, setIdentitySpecifier, setImplementationDependent, setNullable, setScopeCheck, setScopeChecked, setTable, toString`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.TypedElementImpl
`basicGetReferencedType, basicSetContainedType, getContainedType, getDataType, getReferencedType, setContainedType, setDataType, setReferencedType`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl

`addEAnnotation, addEAnnotationDetail, createDataObject, createDataObject, createDataObject, createDataObject, createDataObject, delete, get, get, getBigDecimal, getBigDecimal, getBigInteger, getBigInteger, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getChar, getChar, getComments, getContainer, getContainmentProperty, getDataGraph, getDataObject, getDataObject, getDate, getDate, getDependencies, getDescription, getDouble, getDouble, getEAnnotation, getEAnnotationDetail, getFloat, getFloat, getInstanceProperties, getInt, getInt, getLabel, getList, getList, getLong, getLong, getPrivileges, getSequence, getSequence, getShort, getShort, getString, getString, getType, isSet, isSet, removeEAnnotationDetail, set, set, setAnnotationDetail, setBigDecimal, setBigDecimal, setBigInteger, setBigInteger, setBoolean, setBoolean, setByte, setByte, setBytes, setBytes, setChar, setChar, setDataObject, setDataObject, setDate, setDate, setDescription, setDouble, setDouble, setFloat, setFloat, setInt, setInt, setLabel, setList, setList, setLong, setLong, setShort, setShort, setString, setString, unset, unset, writeReplace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.TypedElement
`getContainedType, getDataType, getReferencedType, setContainedType, setDataType, setReferencedType`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Constructor Detail

### JDBCColumn

    public JDBCColumn()

Method Detail

### refresh

    public void refresh()

  Specified by:
    `refresh` in interface `ICatalogObject`

### isSystemObject

    public boolean isSystemObject()

### getCatalogDatabase

    public Database getCatalogDatabase()

  Specified by:
    `getCatalogDatabase` in interface `ICatalogObject`

### getConnection

    public java.sql.Connection getConnection()

  Specified by:
    `getConnection` in interface `ICatalogObject`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.